# $Revision: 1.11 $, $Date: 2010/11/11 08:44:57 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	A library for reading and writing Ogg encapsulated data
Summary(pl.UTF-8):	Biblioteka do odczytu i zapisu danych w opakowaniu Ogg
Name:		liboggz
Version:	1.1.1
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://downloads.xiph.org/releases/liboggz/%{name}-%{version}.tar.gz
# Source0-md5:	3649a657f8e368b881ba8b1b57381ff7
Patch0:		%{name}-destdir.patch
URL:		http://www.xiph.org/oggz/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	docbook-to-man
BuildRequires:	libogg-devel >= 2:1.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	libogg >= 2:1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liboggz is a library that provides simple parsing and seeking of files
and streams based on the Ogg file format. liboggz requires libogg to
work.

liboggz knows about Ogg Speex, Ogg Vorbis, Ogg Theora, and the Ogg
based Annodex formats, thus allows parsing (though not decoding) of
these files. For getting decoding and encoding functionality you will
require in addition libspeex, libvorbis, libtheora, and libannodex
respectively.

%description -l pl.UTF-8
liboggz to biblioteka umożliwiająca prostą analizę i przeszukiwanie
plików i strumieni opartych na formacie Ogg. liboggz wymaga do
działania biblioteki libogg.

liboggz wie o formatach Ogg Speex, Ogg Vorbis, Ogg Theora oraz
opartych na Ogg formatach Annodex, co pozwala analizować (ale nie
dekodować) pliki w tych formatach. Kodowanie i dekodowanie ich
wymaga dodatkowych bibliotek - odpowiednio: libspeex, libvorbis,
libtheora, libannodex.

%package devel
Summary:	Header files for liboggz library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liboggz
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libogg-devel >= 2:1.0

%description devel
Header files for liboggz library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liboggz.

%package static
Summary:	Static liboggz library
Summary(pl.UTF-8):	Statyczna biblioteka liboggz
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liboggz library.

%description static -l pl.UTF-8
Statyczna biblioteka liboggz.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -rf $RPM_BUILD_ROOT%{_docdir}/liboggz

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/oggz*
%attr(755,root,root) %{_libdir}/liboggz.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liboggz.so.2
%{_mandir}/man1/oggz*.1*

%files devel
%defattr(644,root,root,755)
%doc doc/liboggz/html/*
%attr(755,root,root) %{_libdir}/liboggz.so
%{_libdir}/liboggz.la
%{_includedir}/oggz
%{_pkgconfigdir}/oggz.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/liboggz.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liboggz.spec,v $
Revision 1.11  2010/11/11 08:44:57  qboosh
- updated to 1.1.1

Revision 1.10  2009/10/25 09:22:49  qboosh
- updated to 1.1.0 (note: new soname)

Revision 1.9  2009/10/01 05:29:20  qboosh
- updated URL

Revision 1.8  2009/10/01 05:28:31  qboosh
- updated to 1.0.0
- added destdir patch

Revision 1.7  2008/07/11 21:36:17  qboosh
- updated to 0.9.8

Revision 1.6  2008/01/23 05:51:10  qboosh
- updated to 0.9.6

Revision 1.5  2007-07-23 17:29:50  witekfl
- added missing #

Revision 1.4  2007/07/22 13:22:49  witekfl
- added bcond_without static_libs
- added BR: docbook-to-man

Revision 1.3  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.2  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.1  2006/11/17 21:57:40  qboosh
- new
